<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [serverExists](./bitburner.ns.serverexists.md)

## NS.serverExists() method

Returns a boolean denoting whether or not the specified server exists.

**Signature:**

```typescript
serverExists(host: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of target server.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the specified server exists, and false otherwise.

## Remarks

RAM cost: 0.1 GB

